org.apache.lucene.analysis.ko

## Enum POS.Tag

- java.lang.Object
- - java.lang.Enum<POS.Tag>
  - - org.apache.lucene.analysis.ko.POS.Tag

- All Implemented Interfaces:
    Serializable, Comparable<POS.Tag>
  Enclosing class:
    POS

      public static enum POS.Tag
      extends Enum<POS.Tag>

  Part of speech tag for Korean based on Sejong corpus classification.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `E` Verbal endings
    `IC` Interjection
    `J` Ending Particle
    `MAG` General Adverb
    `MAJ` Conjunctive adverb
    `MM` Determiner
    `NA` Unknown
    `NNB` Dependent noun (following nouns)
    `NNBC` Dependent noun
    `NNG` General Noun
    `NNP` Proper Noun
    `NP` Pronoun
    `NR` Numeral
    `SC` Separator (· / :)
    `SE` Ellipsis
    `SF` Terminal punctuation (? ! .)
    `SH` Chinese character
    `SL` Foreign language
    `SN` Number
    `SP` Space
    `SSC` Closing brackets
    `SSO` Opening brackets
    `SY` Other symbol
    `UNA` Unknown
    `UNKNOWN` Unknown
    `VA` Adjective
    `VCN` Negative designator
    `VCP` Positive designator
    `VSV` Unknown
    `VV` Verb
    `VX` Auxiliary Verb or Adjective
    `XPN` Prefix
    `XR` Root
    `XSA` Adjective Suffix
    `XSN` Noun Suffix
    `XSV` Verb Suffix

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `code()` Returns the code associated with the tag (as defined in pos-id.def).
    `String` | `description()` Returns the description associated with the tag.
    `static POS.Tag` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static POS.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### E

          public static final POS.Tag E

      Verbal endings

    - #### IC

          public static final POS.Tag IC

      Interjection

    - #### J

          public static final POS.Tag J

      Ending Particle

    - #### MAG

          public static final POS.Tag MAG

      General Adverb

    - #### MAJ

          public static final POS.Tag MAJ

      Conjunctive adverb

    - #### MM

          public static final POS.Tag MM

      Determiner

    - #### NNG

          public static final POS.Tag NNG

      General Noun

    - #### NNP

          public static final POS.Tag NNP

      Proper Noun

    - #### NNB

          public static final POS.Tag NNB

      Dependent noun (following nouns)

    - #### NNBC

          public static final POS.Tag NNBC

      Dependent noun

    - #### NP

          public static final POS.Tag NP

      Pronoun

    - #### NR

          public static final POS.Tag NR

      Numeral

    - #### SF

          public static final POS.Tag SF

      Terminal punctuation (? ! .)

    - #### SH

          public static final POS.Tag SH

      Chinese character

    - #### SL

          public static final POS.Tag SL

      Foreign language

    - #### SN

          public static final POS.Tag SN

      Number

    - #### SP

          public static final POS.Tag SP

      Space

    - #### SSC

          public static final POS.Tag SSC

      Closing brackets

    - #### SSO

          public static final POS.Tag SSO

      Opening brackets

    - #### SC

          public static final POS.Tag SC

      Separator (· / :)

    - #### SY

          public static final POS.Tag SY

      Other symbol

    - #### SE

          public static final POS.Tag SE

      Ellipsis

    - #### VA

          public static final POS.Tag VA

      Adjective

    - #### VCN

          public static final POS.Tag VCN

      Negative designator

    - #### VCP

          public static final POS.Tag VCP

      Positive designator

    - #### VV

          public static final POS.Tag VV

      Verb

    - #### VX

          public static final POS.Tag VX

      Auxiliary Verb or Adjective

    - #### XPN

          public static final POS.Tag XPN

      Prefix

    - #### XR

          public static final POS.Tag XR

      Root

    - #### XSA

          public static final POS.Tag XSA

      Adjective Suffix

    - #### XSN

          public static final POS.Tag XSN

      Noun Suffix

    - #### XSV

          public static final POS.Tag XSV

      Verb Suffix

    - #### UNKNOWN

          public static final POS.Tag UNKNOWN

      Unknown

    - #### UNA

          public static final POS.Tag UNA

      Unknown

    - #### NA

          public static final POS.Tag NA

      Unknown

    - #### VSV

          public static final POS.Tag VSV

      Unknown

  - ### Method Detail

    - #### values

          public static POS.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (POS.Tag c : POS.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static POS.Tag valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public int code()

      Returns the code associated with the tag (as defined in pos-id.def).

    - #### description

          public String description()

      Returns the description associated with the tag.

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.